Loading...
Searching...
No Matches
weakly_assignable_from Interface Reference
Utility » Concept

Resolves to std::is_assignable_v<t>. More...

`#include <seqan3/utility/concept.hpp>`

## Detailed Description

Resolves to std::is_assignable_v<t>.

Note
  This requires less than std::assignable_from, it simply tests if the expression std::declval<T>() = std::declval<U>() is well-formed.

See also
  https://en.cppreference.com/w/cpp/types/is_assignable

This entity is not part of the SeqAn API. Do not rely on it in your applications.

The documentation for this interface was generated from the following file:

- utility/concept.hpp

Hide me